curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/inventory' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"average_stock_level": 1.5,
"low_stock_items": 1,
"low_stock_threshold": 1,
"out_of_stock_items": 1,
"total_products": 1,
"total_value": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Get inventory metrics only
Inventory metrics retrieved successfully
GET
/
api
/
v1
/
analytics
/
inventory
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/inventory' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"average_stock_level": 1.5,
"low_stock_items": 1,
"low_stock_threshold": 1,
"out_of_stock_items": 1,
"total_products": 1,
"total_value": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Query parameters
integer,null (int32)
Threshold below which inventory is considered low stock (default: 10)
Response
ApiResponse_InventoryMetrics
object
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Inventory metrics retrieved successfully |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/inventory' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"average_stock_level": 1.5,
"low_stock_items": 1,
"low_stock_threshold": 1,
"out_of_stock_items": 1,
"total_products": 1,
"total_value": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026